Name: x11-driver-input-synaptics
Version: 1.1.0
Release: %mkrel 4
Summary: X.org input driver for Synaptics touchpad devices
Group: System/X11
URL: http://xorg.freedesktop.org
Source0: xf86-input-synaptics-%{version}.tar.bz2
Source1: 10-synaptics.fdi
Patch1: 0001-Change-default-settings-TapButtonX-X-VertTwoFinger.patch
Patch2: 0002-When-appling-changes-via-property-mode-apply-to-all.patch

License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: x11-proto-devel
BuildRequires: x11-server-devel
BuildRequires: x11-util-macros
BuildRequires: libxi-devel
Provides: synaptics = %{version}-%{release}
Obsoletes: synaptics < %{version}-%{release}

%description
Synaptics touchpad devices are extremely popular on laptops and this driver
is an MIT licensed alternative to the older GPL synaptics driver which is
no longer actively maintained.

%package devel
Summary:        Development files for programing with the xorg synaptics driver
Group:          Development/C

%description devel
Development files for programing with the xorg synaptics driver


%prep
%setup -q -n xf86-input-synaptics-%{version}
%patch1 -p1
%patch2 -p1

%build
autoreconf
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall_std

install -d %{buildroot}%{_datadir}/hal/fdi/policy/20thirdparty
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/hal/fdi/policy/20thirdparty

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/synclient
%{_bindir}/syndaemon
%{_datadir}/hal/fdi/policy/20thirdparty/10-synaptics.fdi
%{_libdir}/xorg/modules/input/synaptics_drv.la
%{_libdir}/xorg/modules/input/synaptics_drv.so
%{_mandir}/man1/synclient.*
%{_mandir}/man1/syndaemon.*
%{_mandir}/man4/synaptics.*

%files devel
%defattr(-,root,root)
%{_includedir}/xorg/synaptics.h
%{_includedir}/xorg/synaptics-properties.h
%{_libdir}/pkgconfig/xorg-synaptics.pc


%changelog
* Thu Apr 23 2009 Colin Guthrie <cguthrie@mandriva.org> 1.1.0-4mdv2009.1
+ Revision: 368813
- Apply properties to all synaptics devices (fixes problem of settings not being applied when both hal and xorg.conf load a synaptics device)

* Sat Apr 18 2009 Colin Guthrie <cguthrie@mandriva.org> 1.1.0-3mdv2009.1
+ Revision: 367981
- Enable all button taps

* Tue Mar 31 2009 Frederic Crozat <fcrozat@mandriva.com> 1.1.0-2mdv2009.1
+ Revision: 362912
- Update fdi file to not assign synaptics driver on wacom handled tablets

* Mon Mar 09 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.1.0-1mdv2009.1
+ Revision: 353238
- New version 1.1.0

* Fri Mar 06 2009 Colin Guthrie <cguthrie@mandriva.org> 1.0.99.4-1mdv2009.1
+ Revision: 349613
- New version 1.0.99.4
- Drop revert of 64 weridness patch (fixed properly)
- Set defaults by patching driver (after upstream discussions)

* Wed Mar 04 2009 Colin Guthrie <cguthrie@mandriva.org> 1.0.99.3-3mdv2009.1
+ Revision: 348683
- Go back to 1.0.99.3 but with offending 64-bit breakage commit reverted

* Wed Mar 04 2009 Colin Guthrie <cguthrie@mandriva.org> 1.0.99.3-2mdv2009.1
+ Revision: 348413
- Temporarily restore 1.0.99.2 version due to segv's

* Wed Mar 04 2009 Colin Guthrie <cguthrie@mandriva.org> 1.0.99.3-1mdv2009.1
+ Revision: 348241
- New version: 1.0.99.3
- Set defaults: TwoFingerScroll: off, VertScroll: on, TapButton1: on

* Sat Feb 28 2009 Colin Guthrie <cguthrie@mandriva.org> 1.0.99.2-1mdv2009.1
+ Revision: 345950
- BuildRequire libxi-devel
- New version: 1.0.99.2

* Mon Feb 02 2009 Colin Guthrie <cguthrie@mandriva.org> 1.0.0-1mdv2009.1
+ Revision: 336376
- New version: 1.0.0

* Sun Jan 11 2009 Colin Guthrie <cguthrie@mandriva.org> 0.99.3-3mdv2009.1
+ Revision: 328326
- Add an fdi file so that the devices are automatically used (liberated from Fedora)

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 0.99.3-2mdv2009.1
+ Revision: 321381
- Rebuild for new xserver

* Mon Dec 15 2008 Colin Guthrie <cguthrie@mandriva.org> 0.99.3-1mdv2009.1
+ Revision: 314416
- New version 0.99.3
- Provide 'synaptics' to upgrade users on the old package
- Obsolete 'synaptics' to remove the old package from the distro.

* Thu Dec 04 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.99.2-1mdv2009.1
+ Revision: 309901
- new release

* Sun Nov 30 2008 Adam Williamson <awilliamson@mandriva.org> 0.99.1-2mdv2009.1
+ Revision: 308319
- rebuild for new X server

* Sat Nov 29 2008 Colin Guthrie <cguthrie@mandriva.org> 0.99.1-1mdv2009.1
+ Revision: 308001
- New version 0.99.1
- Add devel sub-package

* Wed Sep 10 2008 Colin Guthrie <cguthrie@mandriva.org> 0.15.2-1mdv2009.0
+ Revision: 283638
- New version: 0.15.2
- Remove device-path patch (fixed upstream)

* Wed Sep 10 2008 Colin Guthrie <cguthrie@mandriva.org> 0.15.1-2mdv2009.0
+ Revision: 283360
- Fix description
- Fix crash during initialisation

* Tue Sep 09 2008 Colin Guthrie <cguthrie@mandriva.org> 0.15.1-1mdv2009.0
+ Revision: 283145
- New version: 0.15.1

* Wed Aug 13 2008 Colin Guthrie <cguthrie@mandriva.org> 0.15.0-1mdv2009.0
+ Revision: 271343
- import x11-driver-input-synaptics


